Browse Source

Initial commit

master
Cassidy 3 weeks ago
commit
f59dfa08d9
Signed by: deing <admin@15318.de> GPG Key ID: DA34C790D267C164

+ 2
- 0
.gitignore View File

@@ -0,0 +1,2 @@
1
+public/
2
+src/md/

+ 2
- 0
.guardian.yml View File

@@ -0,0 +1,2 @@
1
+files: ./src/**/*
2
+run: ./build.sh

+ 22
- 0
LICENSE View File

@@ -0,0 +1,22 @@
1
+All original files except those in src/md and its subfolders are licensed under
2
+The MIT License (MIT)
3
+
4
+Copyright (c) 2019 deing
5
+
6
+Permission is hereby granted, free of charge, to any person obtaining a copy
7
+of this software and associated documentation files (the "Software"), to deal
8
+in the Software without restriction, including without limitation the rights
9
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
10
+copies of the Software, and to permit persons to whom the Software is
11
+furnished to do so, subject to the following conditions:
12
+
13
+The above copyright notice and this permission notice shall be included in
14
+all copies or substantial portions of the Software.
15
+
16
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
17
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
18
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
19
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
20
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
21
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
22
+THE SOFTWARE.

+ 18
- 0
build.sh View File

@@ -0,0 +1,18 @@
1
+#!/bin/bash
2
+
3
+#remove old artifacts
4
+rm -rf public/
5
+#create all target directories
6
+mkdir -p $(find src/md/ | sed "s/src\/md/public/" | sed "s/\.md//") && mkdir public/res || echo "[build.sh] Failure."
7
+#compile css
8
+sassc src/sass/main.sass public/res/main.css
9
+#move resources
10
+cp src/res/* public/res
11
+#run all md files through pandoc
12
+FILES=$(find src/md -type f)
13
+for FILE in $FILES
14
+do
15
+  pandoc --template=src/template.html --variable path=$(echo $FILE | sed -r "s/src\/md\/(.+)\.md/\1/") $FILE -o public/$(echo $FILE | sed -r "s/src\/md\/(.+)\.md/\1/")/index.html
16
+done
17
+sed "s/https:\/\/dingenskirchen.systems\/index/https:\/\/dingenskirchen.systems\//" public/index/index.html > public/index.html
18
+rm public/index/ -rf

BIN
src/res/Charter-Italic.otf View File


BIN
src/res/Charter-Regular.otf View File


BIN
src/res/IBMPlexMono-Italic-Latin1.woff2 View File


BIN
src/res/IBMPlexMono-Regular-Latin1.woff2 View File


+ 97
- 0
src/res/OFL.txt View File

@@ -0,0 +1,97 @@
1
+Copyright (c) <dates>, <Copyright Holder> (<URL|email>),
2
+with Reserved Font Name <Reserved Font Name>.
3
+Copyright (c) <dates>, <additional Copyright Holder> (<URL|email>),
4
+with Reserved Font Name <additional Reserved Font Name>.
5
+Copyright (c) <dates>, <additional Copyright Holder> (<URL|email>).
6
+
7
+This Font Software is licensed under the SIL Open Font License, Version 1.1.
8
+This license is copied below, and is also available with a FAQ at:
9
+http://scripts.sil.org/OFL
10
+
11
+
12
+-----------------------------------------------------------
13
+SIL OPEN FONT LICENSE Version 1.1 - 26 February 2007
14
+-----------------------------------------------------------
15
+
16
+PREAMBLE
17
+The goals of the Open Font License (OFL) are to stimulate worldwide
18
+development of collaborative font projects, to support the font creation
19
+efforts of academic and linguistic communities, and to provide a free and
20
+open framework in which fonts may be shared and improved in partnership
21
+with others.
22
+
23
+The OFL allows the licensed fonts to be used, studied, modified and
24
+redistributed freely as long as they are not sold by themselves. The
25
+fonts, including any derivative works, can be bundled, embedded, 
26
+redistributed and/or sold with any software provided that any reserved
27
+names are not used by derivative works. The fonts and derivatives,
28
+however, cannot be released under any other type of license. The
29
+requirement for fonts to remain under this license does not apply
30
+to any document created using the fonts or their derivatives.
31
+
32
+DEFINITIONS
33
+"Font Software" refers to the set of files released by the Copyright
34
+Holder(s) under this license and clearly marked as such. This may
35
+include source files, build scripts and documentation.
36
+
37
+"Reserved Font Name" refers to any names specified as such after the
38
+copyright statement(s).
39
+
40
+"Original Version" refers to the collection of Font Software components as
41
+distributed by the Copyright Holder(s).
42
+
43
+"Modified Version" refers to any derivative made by adding to, deleting,
44
+or substituting -- in part or in whole -- any of the components of the
45
+Original Version, by changing formats or by porting the Font Software to a
46
+new environment.
47
+
48
+"Author" refers to any designer, engineer, programmer, technical
49
+writer or other person who contributed to the Font Software.
50
+
51
+PERMISSION & CONDITIONS
52
+Permission is hereby granted, free of charge, to any person obtaining
53
+a copy of the Font Software, to use, study, copy, merge, embed, modify,
54
+redistribute, and sell modified and unmodified copies of the Font
55
+Software, subject to the following conditions:
56
+
57
+1) Neither the Font Software nor any of its individual components,
58
+in Original or Modified Versions, may be sold by itself.
59
+
60
+2) Original or Modified Versions of the Font Software may be bundled,
61
+redistributed and/or sold with any software, provided that each copy
62
+contains the above copyright notice and this license. These can be
63
+included either as stand-alone text files, human-readable headers or
64
+in the appropriate machine-readable metadata fields within text or
65
+binary files as long as those fields can be easily viewed by the user.
66
+
67
+3) No Modified Version of the Font Software may use the Reserved Font
68
+Name(s) unless explicit written permission is granted by the corresponding
69
+Copyright Holder. This restriction only applies to the primary font name as
70
+presented to the users.
71
+
72
+4) The name(s) of the Copyright Holder(s) or the Author(s) of the Font
73
+Software shall not be used to promote, endorse or advertise any
74
+Modified Version, except to acknowledge the contribution(s) of the
75
+Copyright Holder(s) and the Author(s) or with their explicit written
76
+permission.
77
+
78
+5) The Font Software, modified or unmodified, in part or in whole,
79
+must be distributed entirely under this license, and must not be
80
+distributed under any other license. The requirement for fonts to
81
+remain under this license does not apply to any document created
82
+using the Font Software.
83
+
84
+TERMINATION
85
+This license becomes null and void if any of the above conditions are
86
+not met.
87
+
88
+DISCLAIMER
89
+THE FONT SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
90
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF
91
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
92
+OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE
93
+COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
94
+INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL
95
+DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
96
+FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM
97
+OTHER DEALINGS IN THE FONT SOFTWARE.

+ 5
- 0
src/res/charter.txt View File

@@ -0,0 +1,5 @@
1
+Char­ter license
2
+
3
+This is a copy of the Char­ter fonts which Bit­stream con­trib­uted to the X con­sor­tium. This is the orig­i­nal no­tice in­cluded with the fonts:
4
+
5
+(c) Copy­right 1989-1992, Bit­stream Inc., Cam­bridge, MA. You are hereby granted per­mis­sion un­der all Bit­stream pro­pri­ety rights to use, copy, mod­ify, sub­li­cense, sell, and re­dis­trib­ute the 4 Bit­stream Char­ter (r) Type 1 out­line fonts and the 4 Courier Type 1 out­line fonts for any pur­pose and with­out re­stric­tion; pro­vided, that this no­tice is left in­tact on all copies of such fonts and that Bit­stream’s trade­mark is ac­knowl­edged as shown be­low on all un­mod­i­fied copies of the 4 Char­ter Type 1 fonts. BIT­STREAM CHAR­TER is a reg­is­tered trade­mark of Bit­stream Inc.

BIN
src/res/wafel.png View File


+ 79
- 0
src/sass/main.sass View File

@@ -0,0 +1,79 @@
1
+*
2
+  font-size: 21px
3
+  line-height: 1.5
4
+  font-family: "Charter"
5
+  color: #333
6
+
7
+body
8
+  background: linear-gradient(0deg, #21b1ff, #ffd800, #ff218c)
9
+  margin: 0
10
+  padding: 0
11
+  main
12
+    margin: 0 0 0 .75rem
13
+    padding: 1rem
14
+    min-height: 100vh
15
+    box-sizing: border-box
16
+    background: #f0f0f0
17
+    article
18
+      max-width: 75ch
19
+      word-wrap: break-word
20
+      h1
21
+        margin-top: 0
22
+      p, h1, h2, ul, ol, figure
23
+        margin: .5rem 0
24
+      a
25
+        color: #005050
26
+        text-decoration: underline
27
+
28
+h1, h2
29
+  font: italic 1rem "IBM Plex Mono"
30
+
31
+h1
32
+  font-size: 1.2rem
33
+
34
+h2
35
+  border-bottom: 4px solid #16161d
36
+  display: inline-block
37
+
38
+footer p
39
+  font: .5rem "IBM Plex Mono"
40
+
41
+@media screen and (max-width: 100ch)
42
+  *
43
+    font-size: 16px
44
+  body
45
+    background: linear-gradient(90deg, #21b1ff, #ffd800, #ff218c)
46
+    main
47
+      margin: .75rem 0 0 0
48
+    
49
+@media print
50
+  main
51
+    margin: 0
52
+  footer
53
+    display: none
54
+
55
+@media screen and (prefers-color-scheme: dark)
56
+  *
57
+    color: #f0f0f0
58
+  body main
59
+    background-color: #16161d
60
+    article a
61
+      color: #0aa
62
+
63
+
64
+@font-face
65
+  src: url("IBMPlexMono-Regular-Latin1.woff2")
66
+  font-family: "IBM Plex Mono"
67
+  font-weight: normal
68
+@font-face
69
+  src: url("IBMPlexMono-Italic-Latin1.woff2")
70
+  font-family: "IBM Plex Mono"
71
+  font-style: italic
72
+@font-face
73
+  src: url("Charter-Regular.otf")
74
+  font-family: "Charter"
75
+  font-weight: normal
76
+@font-face
77
+  src: url("Charter-Italic.otf")
78
+  font-family: "Charter"
79
+  font-style: italic

+ 25
- 0
src/template.html View File

@@ -0,0 +1,25 @@
1
+<!doctype html>
2
+<html lang="en">
3
+<head>
4
+	<meta charset="utf-8">
5
+	<link rel="stylesheet" href="/res/main.css">
6
+	<title>$title$</title>
7
+	<meta name="viewport" content="width=device-width, initial-scale=1.0">
8
+	<meta property="og:title" content="$title$">
9
+  <meta property="og:image" content="https://dingenskirchen.systems/public/res/wafel.png">
10
+  <meta property="og:url" content="https://dingenskirchen.systems/$path$">
11
+  <meta property="og:type" content="website">
12
+  <meta property="og:description" content="Dingenskirchen Systems is one of the leading forces in technological procrastination.">
13
+</head>
14
+<body>
15
+	<main>
16
+		<article>
17
+			<h1>$title$</h1>
18
+			$body$
19
+		</article>
20
+		<footer>
21
+			<p>This page is best viewed using curl(1) on a screen resolution of 80×24 characters or better.</p>
22
+		</footer>
23
+	</main>
24
+</body>
25
+</html>

Loading…
Cancel
Save